Package com.collibra.dgc.core.api.dto.user

# Class FindUsersRequest

Object
PagedRequest
FindUsersRequest

All Implemented Interfaces:
  `Serializable`

public class FindUsersRequest extends PagedRequest
The search criteria for users.

Only parameters that are specified in this request and have not `null` values are used for filtering. All other parameters are ignored.

The returned users satisfy all constraints that are specified in this search criteria.

By default a result containing 1000 users is returned.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `FindUsersRequest.Builder`

- ## Field Summary

  ### Fields inherited from class PagedRequest

  `countLimit, limit, offset`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindUsersRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindUsersRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `String`
  `getDepartment()`
  The organization department to which the user belongs.
  `UUID`
  `getGroupId()`
  The ID of the group the searched users should belong to.
  `String`
  `getName()`
  The name of the user.
  `Set<NameSearchField>`
  `getNameSearchFields()`
  The user fields that will be searched for occurrences of the `name` parameter.
  `NameSearchField`
  `getSortField()`
  `SortOrder`
  `getSortOrder()`
  `String`
  `getTitle()`
  The organizational title of the user.
  `List<String>`
  `getUserIds()`
  The IDs of the users.
  `Set<String>`
  `getUserSources()`
  The set of user sources to filter on (e.g.
  `int`
  `hashCode()`
  `boolean`
  `isIncludeDisabled()`
  Whether disabled users should be included in the search results.
  `boolean`
  `isOnlyLoggedIn()`
  Whether only currently logged in users should be returned.
  `void`
  `setDepartment(String department)`
  The organization department to which the user belongs.
  `void`
  `setGroupId(UUID groupId)`
  The ID of the group the searched users should belong to.
  `void`
  `setIncludeDisabled(boolean includeDisabled)`
  Whether disabled users should be included in the search results.
  `void`
  `setName(String name)`
  The name of the user.
  `void`
  `setNameSearchFields(Set<NameSearchField> nameSearchFields)`
  The user fields that will be searched for occurrences of the `name` parameter.
  `void`
  `setOnlyLoggedIn(boolean onlyLoggedIn)`
  Whether only currently logged in users should be returned.
  `void`
  `setSortField(NameSearchField sortField)`
  `void`
  `setSortOrder(SortOrder sortOrder)`
  `void`
  `setTitle(String title)`
  The organizational title of the user.
  `void`
  `setUserIds(List<String> userIds)`
  The IDs of the users.
  `void`
  `setUserSources(Set<String> userSources)`
  The set of user sources to filter on (e.g.
  `String`
  `toString()`

  ### Methods inherited from class PagedRequest

  `getCountLimit, getLimit, getOffset, isPagingActive, setCountLimit, setLimit, setOffset`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FindUsersRequest

    public FindUsersRequest()

- ## Method Details

  - ### builder

    public static FindUsersRequest.Builder builder()

  - ### getUserIds

    public List<String> getUserIds()
    The IDs of the users.

  - ### getName

    public String getName()
    The name of the user. The search will take place in the fields specified by the 'nameSearchFields' parameter.

  - ### getTitle

    public String getTitle()
    The organizational title of the user.

  - ### getDepartment

    public String getDepartment()
    The organization department to which the user belongs.

  - ### getUserSources

    public Set<String> getUserSources()
    The set of user sources to filter on (e.g. INTERNAL, LDAP, SSO, SCIM). Users whose source matches any of the provided values are returned. Unknown values are ignored; if no valid value remains, the filter is not applied.

  - ### getNameSearchFields

    public Set<NameSearchField> getNameSearchFields()
    The user fields that will be searched for occurrences of the `name` parameter.

    It defaults to `USERNAME`, `FIRSTNAME`, `LASTNAME`, `FIRSTNAME_LASTNAME` and `LASTNAME_FIRSTNAME`.

  - ### getGroupId

    public UUID getGroupId()
    The ID of the group the searched users should belong to.

  - ### isOnlyLoggedIn

    public boolean isOnlyLoggedIn()
    Whether only currently logged in users should be returned.

  - ### isIncludeDisabled

    public boolean isIncludeDisabled()
    Whether disabled users should be included in the search results.

  - ### getSortOrder

    public SortOrder getSortOrder()

  - ### getSortField

    public NameSearchField getSortField()

  - ### setUserIds

    public void setUserIds(List<String> userIds)
    The IDs of the users.

  - ### setName

    public void setName(String name)
    The name of the user. The search will take place in the fields specified by the 'nameSearchFields' parameter.

  - ### setTitle

    public void setTitle(String title)
    The organizational title of the user.

  - ### setDepartment

    public void setDepartment(String department)
    The organization department to which the user belongs.

  - ### setUserSources

    public void setUserSources(Set<String> userSources)
    The set of user sources to filter on (e.g. INTERNAL, LDAP, SSO, SCIM). Users whose source matches any of the provided values are returned. Unknown values are ignored; if no valid value remains, the filter is not applied.

  - ### setNameSearchFields

    public void setNameSearchFields(Set<NameSearchField> nameSearchFields)
    The user fields that will be searched for occurrences of the `name` parameter.

    It defaults to `USERNAME`, `FIRSTNAME`, `LASTNAME`, `FIRSTNAME_LASTNAME` and `LASTNAME_FIRSTNAME`.

  - ### setGroupId

    public void setGroupId(UUID groupId)
    The ID of the group the searched users should belong to.

  - ### setOnlyLoggedIn

    public void setOnlyLoggedIn(boolean onlyLoggedIn)
    Whether only currently logged in users should be returned.

  - ### setIncludeDisabled

    public void setIncludeDisabled(boolean includeDisabled)
    Whether disabled users should be included in the search results.

  - ### setSortOrder

    public void setSortOrder(SortOrder sortOrder)

  - ### setSortField

    public void setSortField(NameSearchField sortField)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `PagedRequest`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `PagedRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `PagedRequest`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `PagedRequest`